API referenceCartItem
Retrieves the collection of CartItem resources.
Retrieves the collection of CartItem resources.
GET
/api/carts/{cartId}/cart_itemscurl -X GET "/api/carts/{cartId}/cart_items" \
-H "apikey: $MEDIALISTER_API_KEY"Authorization
apikeystringheaderrequiredValue for the apikey header parameter.
Parameters
cartIdstringpathrequiredCart identifier
pageintegerqueryThe collection page number
Default:1itemsPerPageintegerqueryThe number of items per page
Default:10
Response
application/ld+json200
CartItem collection
hydra:totalItemsintegerhydra:searchobjecthydra:viewobjecthydra:memberCartItem.jsonld-cartItem.read_all.read[]required
{
"hydra:totalItems": 0,
"hydra:search": {
"@type": "string",
"hydra:template": "string",
"hydra:variableRepresentation": "string",
"hydra:mapping": [
{
"@type": "string",
"variable": "string",
"property": "string",
"required": true
}
]
},
"hydra:view": {
"@id": "string",
"@type": "string",
"hydra:first": "string",
"hydra:last": "string",
"hydra:previous": "string",
"hydra:next": "string"
},
"hydra:member": [
{
"@context": "string",
"@id": "string",
"@type": "string",
"product": {
"@context": "string",
"@id": "string",
"@type": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"formatType": "/api/format_types/b64ed0ca-1a05-4898-9a52-765fed38bc5c",
"mediaProject": "/api/media_projects/b64ed0ca-1a05-4898-9a52-765fed38bc5c",
"price": 100.1,
"desiredPrice": "string",
"urlExamples": [
"string"
],
"currency": "/api/currencies/b64ed0ca-1a05-4898-9a52-765fed38bc5c",
"listed": false,
"byRequest": false,
"turnAroundTime": 0,
"notificationsCount": 0,
"createdAt": "2026-01-15T09:30:00Z",
"updatedAt": "2026-01-15T09:30:00Z",
"numericPrice": 0,
"visible": true,
"createdAtTimestamp": 0,
"updatedAtTimestamp": 0,
"status": 0
},
"price": "string",
"currency": {
"@context": "string",
"@id": "string",
"@type": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "string",
"symbol": "string",
"type": "fiat",
"decimals": 2
},
"cart": "https://example.com/",
"flatFee": "string",
"minFee": "string",
"feePercent": "string",
"campaign": {
"@context": "string",
"@id": "string",
"@type": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "Campaign Name",
"goal": "My Goal",
"goalDetails": "seo-in-new-articles",
"domain": "string",
"budget": 0,
"publishingPeriod": 0,
"regions": [
"dXJuOm1ieHBsYzpSRUk",
"dXJuOm1ieHBsYzpSRUd"
],
"notificationsCount": 0,
"createdAt": "2026-01-15T09:30:00Z",
"updatedAt": "2026-01-15T09:30:00Z"
},
"excluded": false,
"cartItemExtras": [
{
"@context": "string",
"@id": "string",
"@type": "string",
"extra": {
"@context": "string",
"@id": "string",
"@type": "string",
"description": "string",
"conditions": {},
"name": "string",
"currency": {},
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"createdAt": "2026-01-15T09:30:00Z",
"updatedAt": "2026-01-15T09:30:00Z"
},
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"createdAt": "2026-01-15T09:30:00Z",
"updatedAt": "2026-01-15T09:30:00Z",
"price": {}
}
],
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"createdAt": "2026-01-15T09:30:00Z",
"updatedAt": "2026-01-15T09:30:00Z"
}
]
}